<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';

$set['title']='Цвет ника';
include_once '../sys/inc/thead.php';
title();





err();
aut();
if(!isset($user)){
echo '<div class="err">Доступ закрыт для гостей.Пройдите Авторизация</div>';
}else{
only_reg();

if (isset($user) & $user['balls']<=5)
{
if ($user['pol']==0){echo "Извини <b>красавица,</b> \n";} else {echo "<b>Извини братан,</b> \n";}
echo "но изменять цвет ника можно только после того как ты наберешь <b>5</b> баллов<br/>У вас <b>$user[balls]</b> баллов\n";
}
else
{
if(isset($_POST['color']))
{
mysql_query("UPDATE `user` SET `balls` = '".($user['balls']-5)."' WHERE `id` = '$user[id]' LIMIT 1");

$color=mysql_escape_string($color);

if(preg_match("/[^a-z]+/",$_POST['color'])) exit();
$color=mysql_escape_string($color);

mysql_query("UPDATE `user` SET `color` = '".mysql_real_escape_string($_POST['color'])."' WHERE `id` = '$user[id]' LIMIT 1");




$color = $_POST['color'];
if (!isset($err))msg('Цвет ника успешно изменен');
}


if(!empty($color))
{
echo "Текущий цвет <font color='".$color."'><u>".$color."</u></font><br/>\n";
}
echo "<font color='#FF0000'>ВНИМАНИЕ! С вас будет списано <b>5</b> баллов</font><br/>\n";
echo '<div class="menu">';
echo "Выберите цвет:<br/>\n";
echo "<form action=\"color.php?".SID."\" method=\"post\">\n";
echo '<select name="color">
<option value="red" style="background-color: red; color: white;">красный</option>
<option value="brown" style="background-color: brown; color: white;">коричневый</option>
<option value="pink" style="background-color: pink; color: white;">розовый</option>
<option value="green" style="background-color: green; color: white;">зеленый</option>
<option value="lightgreen" style="background-color: lightgreen; color: white;">светло-зеленый</option>
<option value="blue" style="background-color: blue; color: white;">синий</option>
<option value="deepskyblue" style="background-color: deepskyblue; color: white;">небесно-голубой</option>
<option value="blueviolet" style="background-color: blueviolet; color: white;">фиолетовый</option>
<option value="yellow" style="background-color: yellow; color: black;">желтый</option>
<option selected="selected" value="orange" style="background-color: orange; color: black;">оранжевый</option>
<option value="goldenrod" style="background-color: goldenrod; color: black;">золотой</option>
<option value="gray" style="background-color: gray; color: black;">темно-серый</option>
<option value="black" style="background-color: black; color: red;">Черный</option>

</select><br/>';
echo "<input type=\"submit\" value=\"Сохранить\" /></form>\n";
echo '</div>';
}


echo "</div>\n";
}
include_once '../sys/inc/tfoot.php';
?>